package initialize_test

import (
	"testing"

	"gitea.pena/PenaSide/customer/internal/initialize"
	"github.com/stretchr/testify/assert"
	"go.uber.org/zap"
)

func TestNewClients(t *testing.T) {
	t.Run("Клиенты должны успешно инициализироваться", func(t *testing.T) {
		logger := zap.New(zap.L().Core())

		assert.NotPanics(t, func() {
			clients := initialize.NewClients(initialize.ClientsDeps{
				Logger:             logger,
				AuthURL:            "",
				HubadminURL:        "",
				CurrencyURL:        "",
				DiscountServiceURL: "",
				PaymentServiceURL:  "",
				VerificationURL:    "",
				TemplategenURL:     "",
			})

			assert.NotNil(t, clients)
			assert.NotNil(t, clients.AuthClient)
			assert.NotNil(t, clients.HubadminClient)
			assert.NotNil(t, clients.CurrencyClient)
			assert.NotNil(t, clients.DiscountClient)
			assert.NotNil(t, clients.PaymentClient)
		})
	})
}
